package edu.whut.jianshu

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity

object NavigationHelper {
    fun <T> navigateTo(activity: AppCompatActivity, destinationClass: Class<T>) {
        val intent = Intent(activity, destinationClass)
        activity.startActivity(intent)
        activity.finish()
    }
}
